.event-card {
  border-radius: 2rem;
  width: fit-content;
  font-weight: 800;
  font-size: .75rem;
  max-width: 260px;
  box-shadow: 0 4px 28px -0.5rem rgba(0, 0, 0, .10);
  background-color: white;
}

@media (min-width: 1024px) {
  .event-card {
    max-width: 320px;
    font-size: .935rem;
  }
}

.event-card__content {
  padding: 1.47rem 2.06rem 2rem;
  display: grid;
  grid-template-rows: subgrid;
  grid-row: content;
}

@media (min-width: 782px) {
  .event-card__content {
    padding: 1.81rem 2.25rem 2rem;
  }
}

.event-card__content * {
  margin-bottom: 0;
}

.event-card__figure {
  width: 100%;
  grid-row: img;
  margin: 0;
}

.event-card__image {
  width: 100%;
  height: auto;
  aspect-ratio: 260 / 190;
  border-radius: 2rem 2rem 0 0;
  object-fit: cover;
  background-color: #000C4F;
}

.event-card__title {
  font-size: 1.167em;
  margin-top: .17em;
  line-height: 1.13;
  text-transform: uppercase;
  text-wrap: balance;
  font-weight: 800;
}

@media (min-width: 782px) {
  .event-card__title {
    font-size: 1.2em;
    grid-row: title;
  }
}

.event-card__category {
  margin-top: 0;
  font-size: 1em;
  line-height: 1.41;
  grid-row: category;
}

.event-card__category,
.event-card__date-n-venue {
  text-transform: uppercase;
}

.event-card__date-n-venue {
  margin-top: 1.67rem;
  grid-row: date-n-venue;
}

@media (min-width: 782px) {
  .event-card__date-n-venue {
    margin-top: 2.06rem;
  }
}

.event-card__date-separator {
  flex-basis: 2rem;
  flex-shrink: 1;
  display: flex;
  align-items: center;
  margin: 0 .4375rem;
  min-width: 1ch;
}

.event-card__date-separator::before {
  content: '';
  display: block;
  width: 100%;
  border-top: 1px solid #000;
}

.event-card__date {
  font-weight: 300;
  font-size: 1.5em;
  line-height: .93;
  display: flex;
}

.event-card__date *:not(.event-card__date-separator) {
  flex-shrink: 0;
}

@media (min-width: 782px) {
  .event-card__date {
    font-size: 1.4667em;
  }
}

.event-card__venue {
  font-size: 1em;
  margin-top: .46em;
  line-height: 1.3;
}
